You need to specify your ROM version without that is hard to know If It is already fixed...